import _isFunction from "lodash/isFunction";
import _pick from "lodash/pick";
import _withHandlers from "recompact/withHandlers";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import PropTypes from 'prop-types';
import Autocomplete from 'react-native-web-ui-components/Autocomplete';
import TextInputWidget from './TextInputWidget';
const allowedAttributes = ['items', 'getItemValue', 'onSelect', 'isMatch', 'Item', 'Input', 'Menu'];

const AutocompleteWidget = _withHandlers({
  onSelect: ({
    onChange,
    onSelect,
    name
  }) => (value, item) => {
    if (_isFunction(onSelect)) {
      onSelect(value, item);
    }

    return onChange(value, name);
  }
})(props => React.createElement(TextInputWidget, _extends({}, props, {
  Input: Autocomplete,
  inputProps: _pick(props, allowedAttributes)
})));

AutocompleteWidget.propTypes = {
  name: PropTypes.string.isRequired,
  onChange: PropTypes.func.isRequired
};
export default AutocompleteWidget;